petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscTestFile

checks for the existence of a file

### Synopsis

    PetscErrorCode  PetscTestFile(const char fname[], char mode, PetscBool  *flg)

Not Collective

### Input Parameter

| fname | - the filename
| mode | - either 'r', 'w', 'x' or '\0'

### Output Parameter

flg -the file exists and satisfies the mode

Notes: if mode is '\0', no permissions checks are performed

### See Also

PetscTestDirectory(), PetscLs()

### Level

intermediate

### Location

src/sys/fileio/ftest.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages